#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

int n;
int a[200005];
int b[200005];
int pos[200005];

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>n;
    for(int i=1; i<=n; i++) cin>>a[i];
    for(int i=1; i<=n; i++)
    {
        cin>>b[i];
        pos[b[i]]=i;
    }
    int br=0;
    for(int i=1; i<=n; i++)
    {
        br++;
        int id=pos[a[i]];
        while(id<n && a[i+id+1-pos[a[i]]]==b[id+1]) id++;
        i+=id-pos[a[i]];
    }
    cout<<br<<endl;
    return 0;
}
